EventBase::gotStop
EventBase::priorityInit
EventBase
PHP Manual

# EventBase::loop

(PECL event >= 1.2.6-beta)

EventBase::loop — Dispatch pending events

### Description

public bool EventBase::loop ([ int `$flags` ] )

Wait for events to become active, and run their callbacks.

Warning

Do NOT destroy the EventBase object as long as resources of the associated Event objects are not released. Otherwise, it will lead to unpredictable results!

### Parameters

`flags`

  Optional flags. One of EventBase::LOOP_* constants. See EventBase constants .

### Return Values

Returns `TRUE` on success. Otherwise `FALSE`.

### See Also

- EventBase::dispatch() - Dispatch pending events

EventBase::gotStop
EventBase::priorityInit
EventBase
PHP Manual